E W A Requests
List EWA requests
Returns EWA requests newest first. Read only — employees create requests in the app.
Returns EWA requests newest first. Read only — employees create requests in the app.
Authorization
secretKey AuthorizationBearer <token>
Sandbox try-it accepts sk_test_… only.
In: header
Query Parameters
employee_id?string
Momen's employee id (UUID), not your employee code.
Format
uuidstatus?string
Filter by status, case-insensitive.
Value in
- "PROCESSING"
- "SETTLING"
- "SCHEDULED"
- "PARTIAL"
- "COMPLETED"
- "FAILED"
- "REJECTED_BY_SYSTEM"
request_date_from?string
Format
daterequest_date_to?string
Format
datepage?integer
Range
1 <= valueDefault
1per_page?integer
Range
1 <= value <= 100Default
25Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/ewa-requests"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "employee": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "employee_id": "string", "full_name": "string", "branch_id": "7a4e8e99-89f2-4a0f-b66c-fc595dda2dbc" }, "status": "PROCESSING", "ewa_type": "string", "disbursement_type": "string", "requested_amount": 0, "fee": 0, "company_fee": 0, "disbursed_amount": 0, "request_date": "2019-08-24", "disbursement_scheduled_at": "2019-08-24T14:15:22Z", "settled_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "cutoff": { "cycle_start": "2019-08-24", "cycle_end": "2019-08-24", "cut_off_date": 0, "cut_off_end_of_month": true, "withdrawal_window": { "start": "2019-08-24", "end": "2019-08-24", "is_active": true }, "can_withdraw": true, "monthly_limit": 0, "accumulated_amount": 0, "total_withdrawn": 0, "available_to_withdraw": 0 } } ], "pagination": { "current_page": 0, "per_page": 0, "total": 0, "last_page": 0 }, "meta": { "request_id": "string" }}